Package org.springframework.beans.factory.support

# Class ManagedArray

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<E>
org.springframework.beans.factory.support.ManagedList<Object>
org.springframework.beans.factory.support.ManagedArray

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Object>`, `Collection<Object>`, `List<Object>`, `RandomAccess`, `BeanMetadataElement`, `Mergeable`

public class ManagedArray extends ManagedList<Object>
Tag collection class used to hold managed array elements, which may include runtime bean references (to be resolved into bean objects).

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`ManagedArray(String elementTypeName, int size)`
Create a new managed array placeholder.

## Method Summary

### Methods inherited from class org.springframework.beans.factory.support.ManagedList

`getElementTypeName, getSource, isMergeEnabled, merge, of, setElementTypeName, setMergeEnabled, setSource`

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll`

## Constructor Details

### ManagedArray

public ManagedArray(String elementTypeName, int size)
Create a new managed array placeholder.

Parameters:
  `elementTypeName` - the target element type as a class name
  `size` - the size of the array